PropertyFile.Unit (Apache Ant API)
Date: 2018-09-12

Package org.apache.tools.ant.taskdefs.optional

## Class PropertyFile.Unit

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.PropertyFile.Unit

- Enclosing class:
    PropertyFile

      public static class PropertyFile.Unit
      extends EnumeratedAttribute

  Borrowed from Tstamp
  Since:
    Ant 1.5
  To do:
    share all this time stuff across many tasks as a datetime datatype

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Unit()` | no arg constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCalendarField()` | Convert the value to a Calendar field index.
    `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Unit

          public Unit()

      no arg constructor

  - ### Method Detail

    - #### getCalendarField

          public int getCalendarField()

      Convert the value to a Calendar field index.
      Returns:
        the calendar value.

    - #### getValues

          public java.lang.String[] getValues()

      This is the only method a subclass needs to implement..
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.